This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 848616 - 3.1 - vdsm-reg needs to change default port to 443
3.1 - vdsm-reg needs to change default port to 443
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Douglas Schilling Landgraf
Pavel Stehlik
infra
:
: 804298 854246 854908 (view as bug list)
Depends On: 832227
Blocks: 822145
  Show dependency treegraph
 
Reported: 2012-08-15 23:05 EDT by Douglas Schilling Landgraf
Modified: 2013-01-08 23:15 EST (History)
22 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-31.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 832227
Environment:
Last Closed: 2012-12-04 14:07:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Schilling Landgraf 2012-08-15 23:05:21 EDT
+++ This bug was initially created as a clone of Bug #832227 +++

Description of problem:
On engine-setup, the default ports are 80 and 433.
On ovirt-node, the default port is 8443.

<Cybertimber2009> So engine-setup defaults to 80/443 instead of 8080/8433 now?
<@mburns> Cybertimber2009: yes
<Cybertimber2009> So... Node needs to be changed from default to connect yea?
* Cybertimber2009 thinks it's obvious... but wonders if they should match
* Cybertimber2009 OOB
<@mburns> Cybertimber2009: yes, but it's actually vdsm
<@mburns> they set that screen up
<@mburns> dougsland: ^^
<Cybertimber2009> ahh
<@mburns> vdsm-reg needs to change default port for engine to 443

Version-Release number of selected component (if applicable):
ovirt-engine 3.1.0_0001
ovirt-node 2.4.0-1.0.fc17


How reproducible:


Steps to Reproduce:
1. Install ovirt-engine package
2. Run "engine-setup"
3. Note default port
4. Install oVirt Node 2.4.0-1.0.fc17
5. Access "oVirt Engine" tab on TUI
6. Note default Management Server Port
  
Actual results:
Node default is 8443, engine-setup is 80/443

Expected results:
Node and engine match out of the box

Additional info:

--- Additional comment from dougsland@redhat.com on 2012-06-14 19:19:27 EDT ---

Hi Cybertimber2011,


   Thanks for your report, the patch is available here:
   http://gerrit.ovirt.org/#/c/5367/

--- Additional comment from dougsland@redhat.com on 2012-07-12 23:50:37 EDT ---

*** Bug 839821 has been marked as a duplicate of this bug. ***

--- Additional comment from mburns@redhat.com on 2012-07-18 10:08:05 EDT ---

IMO, this should be a blocker for 3.1 GA.  When running through engine setup, if you choose to let the installer configure the firewall, port 8443 and 8080 are not open.  The current version of the patch solves this by having 443 as the default, but will also try fallbacks to 8080/8443.  

Given that this is targeted primarily for 3.1, we should default to 443 and fall back to 8443 if it fails.

Current functionality is that it defaults to something which will fail with 3.1 with default firewall.
Comment 6 Douglas Schilling Landgraf 2012-09-06 11:51:00 EDT
*** Bug 854908 has been marked as a duplicate of this bug. ***
Comment 7 Douglas Schilling Landgraf 2012-09-11 22:33:07 EDT
*** Bug 854246 has been marked as a duplicate of this bug. ***
Comment 8 Douglas Schilling Landgraf 2012-09-27 12:10:08 EDT
*** Bug 804298 has been marked as a duplicate of this bug. ***
Comment 9 Pavel Stehlik 2012-10-01 07:33:20 EDT
ok - vdsm4.9.6-34
Comment 12 errata-xmlrpc 2012-12-04 14:07:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.